Subject: Re: [PATCH 00/10] netdev: get rid of read_lock(&dev_base_lock) usages

From: Stephen Hemminger <[email-masked]>
Date: Tue, 10 Nov 2009 10:24:42 -0800

I was just trying to pick up the stragglers you left behind :-)

The nasty cases left are bonding (whose existing locking model is a pile
of crap), and sysfs (slightly less stinky). The bonding code just needs to
be rewritten to have a sane/simple model.